dtl1_cs causes kernel panic when plugged in

Bug #217659 reported by Quinn Plattel on 2008-04-15
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Colin Ian King
Nominated for Intrepid by Colin Ian King
Hardy
High
Colin Ian King

Bug Description

Socketcom's Socket Bluetooth card, when plugged in, either during boot or after boot, causes a kernel panic.

user@hardy32:~$ apt-cache policy linux-image-2.6.24-15-generic
linux-image-2.6.24-15-generic:
  Installed: 2.6.24-15.27
  Candidate: 2.6.24-15.27
  Version table:
 *** 2.6.24-15.27 0
        100 /var/lib/dpkg/status
user@hardy32:~$ lsb_release -rd
Description: Ubuntu hardy (development branch)
Release: 8.04
user@hardy32:~$

See attached kernel panic message.

ProblemType: Bug
Architecture: i386
Date: Tue Apr 15 12:04:26 2008
DistroRelease: Ubuntu 8.04
Package: linux-image-2.6.24-15-generic 2.6.24-15.27 [modified: lib/modules/2.6.24-15-generic/modules.pcimap lib/modules/2.6.24-15-generic/modules.dep lib/modules/2.6.24-15-generic/modules.ieee1394map lib/modules/2.6.24-15-generic/modules.usbmap lib/modules/2.6.24-15-generic/modules.isapnpmap lib/modules/2.6.24-15-generic/modules.inputmap lib/modules/2.6.24-15-generic/modules.seriomap lib/modules/2.6.24-15-generic/modules.alias lib/modules/2.6.24-15-generic/modules.symbols]
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_DK.UTF-8
SourcePackage: linux
Uname: Linux 2.6.24-15-generic i686
UnreportableReason: This is not a genuine Ubuntu package

Quinn Plattel (qiet72) wrote :
Quinn Plattel (qiet72) wrote :

Uname report:

Linux hardy32 2.6.24-15-generic #1 SMP Tue Apr 8 00:33:51 UTC 2008 i686 GNU/Linux

pccardctl ident report (reported under Feisty Fawn):
Socket 0:
  product info: "Socket", "CF+ Personal Network Card", "", ""
  manfid: 0x0104, 0x009f
  function: 254 ()

Quinn Plattel (qiet72) wrote :

Looks like panic message attachment did not come through, re-attached panic message.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → High
status: New → Triaged
Quinn Plattel (qiet72) wrote :

Have tested this card under Feisty Fawn (kernel 2.6.20-16-generic) and seems to be working ok - also with the bluetooth stack.

Quinn Plattel (qiet72) wrote :

I have now also tested this card under Gutsy Gibbon (kernel 2.6.22-14-generic) and it seems to be working fine.
The "hcitool scan" gives back bluetooth scanning results successfully.
I do have the following entry in /var/log/messages: "dtl1 interrupt: Call of irq 3 for unknown device", but this does not
seem to affect anything.

Hi Quinn,

Just to see if it makes a difference, care to test the Intrepid Ibex 8.10 kernel? It was most recently rebased with the upstream 2.6.25 kernel and is currently available in the following PPA:

https://edge.launchpad.net/~kernel-ppa/+archive

If you are not familiar with how to install packages from a PPA basically do the following . . .

Create the file /etc/apt/sources.list.d/kernel-ppa.list to include the following two lines:

deb http://ppa.launchpad.net/kernel-ppa/ubuntu hardy main
deb-src http://ppa.launchpad.net/kernel-ppa/ubuntu hardy main

Then run the command: sudo apt-get update

You should then be able to install the linux-image-2.6.25 kernel package. After you've finished testing you can remove the kernel-ppa.list file and run 'sudo apt-get update' once more. Please let us know your results. Thanks.

Quinn Plattel (qiet72) wrote :

Hi,

I did the procedure as you described - installing linux-image-2.6.25-1-generic. It is still crashing when i plug in the card.
I am currently trying to capture the crash message via a null modem cable and "console=ttyS0,9600n8 console=tty0" kernel parameter but everytime
the Serial driver initializes, the serial data output gets garbled - just a bunch of question marks in a circle(diamond?) get sent after this. Here is an example:

[ 2.400649] io scheduler deadline registered
[ 2.404983] io scheduler cfq registered (default)
[ 2.409824] pci 0000:02:08.0: Firmware left e100 interrupts enabled; disabling
[ 2.417638] isapnp: Scanning for PnP cards...
[ 2.775099] isapnp: No Plug & Play device found
[ 2.826858] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 2.834838] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
[ 2.843007] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
��������������������������������������������������������

From here on minicom just receives the � character until the machine is rebooted.

Any idea on how to disable the serial driver besides recompiling the kernel?

Quinn Plattel (qiet72) wrote :

Solved the serial driver issue, by starting a getty logon session on ttyS0.

I have now attached the 2.6.25-1-generic kernel panic message for dtl1_cs.ko module.

Stefan Bader (smb) wrote :

The panic itself is caused by the following upstream commit:

commit ac019360fe311dd6aa11b358a02eb3a61675882e
Author: Jeff Garzik <email address hidden>
Date: Sat Oct 20 13:45:57 2007 +0200

    [Bluetooth] Eliminate checks for impossible conditions in IRQ handler

    Our info structure and info->hdev is always passed to the IRQ handler,
    so we don't have to worry about these checks in every interrupt.

    Leave a BUG_ON() just to help unwary programmers, but these could
    probably be removed as well.

    Signed-off-by: Jeff Garzik <email address hidden>
    Signed-off-by: Marcel Holtmann <email address hidden>

The change was to remove a check which would print the error message and return by a BUG_ON statement that causes an Oops. Since the error was there before, this seems to be a race that already was there but was handled less fatally. I am not sure whether it is possible for an IRQ to be triggered between pcmcia_request_irq and dtl1_open (which fills the info->hdev) but it somehow sounds like it.

Stefan Bader (smb) wrote :

Trying to get info from Jeff or Marcel...

Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
Stefan Bader (smb) wrote :

@Quinn,

it would be interesting to know the interrupt layout. Could you post the output of /proc/interrupts? In one of your posts you mentioned that on older kernels you succeed with an interrupt 3 message and on another post it looks like interrupt 3 is also used by a serial port. Maybe you could try to disable the second serial port (using interrupt 3) and try again with a newer kernel.

Quinn Plattel (qiet72) wrote :

Hi Stefan,

Here is the output of /proc/interrupts.

           CPU0
  0: 13908 XT-PIC-XT timer
  1: 387 XT-PIC-XT i8042
  2: 0 XT-PIC-XT cascade
  3: 4 XT-PIC-XT
  4: 9 XT-PIC-XT serial
  5: 3 XT-PIC-XT
  6: 2 XT-PIC-XT
  7: 1 XT-PIC-XT parport0
  8: 3 XT-PIC-XT rtc
  9: 115 XT-PIC-XT acpi
 10: 3 XT-PIC-XT
 11: 2412 XT-PIC-XT uhci_hcd:usb1, uhci_hcd:usb2, uhci_hcd:usb3, Intel 82801CA-ICH3, yenta, yenta, eth0
 12: 149 XT-PIC-XT i8042
 14: 4741 XT-PIC-XT libata
 15: 84 XT-PIC-XT libata
NMI: 0 Non-maskable interrupts
LOC: 0 Local timer interrupts
RES: 0 Rescheduling interrupts
CAL: 0 function call interrupts
TLB: 0 TLB shootdowns
TRM: 0 Thermal event interrupts
SPU: 0 Spurious interrupts
ERR: 0
MIS: 0

Here is dmesg report (ttyS*):

[ 20.310736] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
[ 20.384974] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
[ 20.459866] 00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A

Interrupt 3 is reserved in the bios as ttyS1 (Infrared). I have disabled the infrared port and tried the card again, but the same kernel crash comes again. I have attached the crash report with serial port 2 disabled.

Quinn

Quinn Plattel (qiet72) wrote :

Hi Stefan,

Here is an updated crash dump with serial port 2 (ttyS1) disabled using kernel 2.5.25-1.
/proc/interrupts is the same as under 2.5.24-17.

Quinn

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

From the duplicate bug reports, Quinn has commented that this exists with 2.6.27.

Colin Ian King (colin-king) wrote :

Hi,

I've reverted commit ac019360fe311dd6aa11b358a02eb3a61675882e and built a new linux-kernel package - you can download the package from my PPA at: https://launchpad.net/~colin-king/+archive

Add the following lines to your apt sources.list:

deb http://ppa.launchpad.net/colin-king/ubuntu hardy main
deb-src http://ppa.launchpad.net/colin-king/ubuntu hardy main

Then run the command:

sudo apt-get update

Alternatively, follow the instructions at: https://help.ubuntu.com/8.04/add-applications/C/extra-repositories-adding.html

If you can test this package and let me know if it helps.

Thanks, Colin

Your modification seems to work fine. The card gets recognized and is
able to work with bluetooth devices.
However, I do get the following in the message log:

dtl1_interrupt: Call of irq 3 for unknown device

Quinn Plattel

2008/9/12 Colin King <email address hidden>:
> Hi,
>
> I've reverted commit ac019360fe311dd6aa11b358a02eb3a61675882e and built
> a new linux-kernel package - you can download the package from my PPA
> at: https://launchpad.net/~colin-king/+archive
>
> Add the following lines to your apt sources.list:
>
> deb http://ppa.launchpad.net/colin-king/ubuntu hardy main
> deb-src http://ppa.launchpad.net/colin-king/ubuntu hardy main
>
> Then run the command:
>
> sudo apt-get update
>
> Alternatively, follow the instructions at: https://help.ubuntu.com/8.04
> /add-applications/C/extra-repositories-adding.html
>
> If you can test this package and let me know if it helps.
>
> Thanks, Colin
>
> --
> dtl1_cs causes kernel panic when plugged in
> https://bugs.launchpad.net/bugs/217659
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Triaged
>
> Bug description:
> Socketcom's Socket Bluetooth card, when plugged in, either during boot or after boot, causes a kernel panic.
>
> user@hardy32:~$ apt-cache policy linux-image-2.6.24-15-generic
> linux-image-2.6.24-15-generic:
> Installed: 2.6.24-15.27
> Candidate: 2.6.24-15.27
> Version table:
> *** 2.6.24-15.27 0
> 100 /var/lib/dpkg/status
> user@hardy32:~$ lsb_release -rd
> Description: Ubuntu hardy (development branch)
> Release: 8.04
> user@hardy32:~$
>
> See attached kernel panic message.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 12:04:26 2008
> DistroRelease: Ubuntu 8.04
> Package: linux-image-2.6.24-15-generic 2.6.24-15.27 [modified: lib/modules/2.6.24-15-generic/modules.pcimap lib/modules/2.6.24-15-generic/modules.dep lib/modules/2.6.24-15-generic/modules.ieee1394map lib/modules/2.6.24-15-generic/modules.usbmap lib/modules/2.6.24-15-generic/modules.isapnpmap lib/modules/2.6.24-15-generic/modules.inputmap lib/modules/2.6.24-15-generic/modules.seriomap lib/modules/2.6.24-15-generic/modules.alias lib/modules/2.6.24-15-generic/modules.symbols]
> PackageArchitecture: i386
> ProcEnviron:
> SHELL=/bin/bash
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_DK.UTF-8
> SourcePackage: linux
> Uname: Linux 2.6.24-15-generic i686
> UnreportableReason: This is not a genuine Ubuntu package
>

--
Best regards/Med venlig hilsen,
Quinn Plattel

Colin Ian King (colin-king) wrote :

Hi Quinn,

Thanks for testing - the message in the dmesg log is to be expected - the patch I reverted changes an OOPS message into this into this message. The Call of irq 3 message is because the device is generating an early interrupt before the driver is fully initialised.

Colin

Colin Ian King (colin-king) wrote :

SRU justification:

Impact: Socketcom's Socket Bluetooth card causes a kernel panic when it
is plugged in, either during boot or after boot.

Unfortunately commit ac019360fe311dd6aa11b358a02eb3a61675882e treats an
early interrupt during hardware and driver initialisation as a fatal
driver bug and generates an oops which is rather a heavy handed way of
catching this interrupt. Reverting this commit causes the driver to
catch the interrupt with a kernel warning rather than a fatal oops.

Testcase: Without the revert, when the Socketcom Socket Bluetooth is
plugged in (during or after boot) the kernel panics. With the revert,
there is no panic, instead the device causes a kernel warning about a
spurious interrupt.

Tested by Quinn Plattel
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/217659/comments/17
from a PPA
build with this revert.

This fix reverts commit ac019360fe311dd6aa11b358a02eb3a61675882e which
introduced the oops.

Changed in linux:
assignee: stefan-bader-canonical → colin-king
status: Triaged → Fix Committed
Quinn Plattel (qiet72) wrote :

Wouldn't it be better if the author of the module were contacted and a
proper fix implemented?
If not, I am quite satisfied with this fix as it is.

br,
Quinn Plattel

2008/9/22 Colin King <email address hidden>:
> SRU justification:
>
> Impact: Socketcom's Socket Bluetooth card causes a kernel panic when it
> is plugged in, either during boot or after boot.
>
> Unfortunately commit ac019360fe311dd6aa11b358a02eb3a61675882e treats an
> early interrupt during hardware and driver initialisation as a fatal
> driver bug and generates an oops which is rather a heavy handed way of
> catching this interrupt. Reverting this commit causes the driver to
> catch the interrupt with a kernel warning rather than a fatal oops.
>
> Testcase: Without the revert, when the Socketcom Socket Bluetooth is
> plugged in (during or after boot) the kernel panics. With the revert,
> there is no panic, instead the device causes a kernel warning about a
> spurious interrupt.
>
> Tested by Quinn Plattel
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/217659/comments/17
> from a PPA
> build with this revert.
>
> This fix reverts commit ac019360fe311dd6aa11b358a02eb3a61675882e which
> introduced the oops.
>
> ** Changed in: linux (Ubuntu)
> Assignee: Stefan Bader (stefan-bader-canonical) => Colin King (colin-king)
> Status: Triaged => Fix Committed
>
> --
> dtl1_cs causes kernel panic when plugged in
> https://bugs.launchpad.net/bugs/217659
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Fix Committed
>
> Bug description:
> Socketcom's Socket Bluetooth card, when plugged in, either during boot or after boot, causes a kernel panic.
>
> user@hardy32:~$ apt-cache policy linux-image-2.6.24-15-generic
> linux-image-2.6.24-15-generic:
> Installed: 2.6.24-15.27
> Candidate: 2.6.24-15.27
> Version table:
> *** 2.6.24-15.27 0
> 100 /var/lib/dpkg/status
> user@hardy32:~$ lsb_release -rd
> Description: Ubuntu hardy (development branch)
> Release: 8.04
> user@hardy32:~$
>
> See attached kernel panic message.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 12:04:26 2008
> DistroRelease: Ubuntu 8.04
> Package: linux-image-2.6.24-15-generic 2.6.24-15.27 [modified: lib/modules/2.6.24-15-generic/modules.pcimap lib/modules/2.6.24-15-generic/modules.dep lib/modules/2.6.24-15-generic/modules.ieee1394map lib/modules/2.6.24-15-generic/modules.usbmap lib/modules/2.6.24-15-generic/modules.isapnpmap lib/modules/2.6.24-15-generic/modules.inputmap lib/modules/2.6.24-15-generic/modules.seriomap lib/modules/2.6.24-15-generic/modules.alias lib/modules/2.6.24-15-generic/modules.symbols]
> PackageArchitecture: i386
> ProcEnviron:
> SHELL=/bin/bash
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_DK.UTF-8
> SourcePackage: linux
> Uname: Linux 2.6.24-15-generic i686
> UnreportableReason: This is not a genuine Ubuntu package
>

--
Best regards/Med venlig hilsen,
Quinn Plattel

Steve Langasek (vorlon) wrote :

Colin (or Quinn), is this bug still only "fix committed" for intrepid, or is it fixed in the latest 2.6.27-7 kernels?

Quinn Plattel (qiet72) wrote :

I have tested it also with the latest 2.6.27 Intrepid kernels and the
fix seems to work just fine. I was a bit surprised that the fix
already made it into the 2.6.27 kernel since Colin and I only tested
it in the 2.6.24 kernel.

Quinn

2008/10/15 Steve Langasek <email address hidden>:
> Colin (or Quinn), is this bug still only "fix committed" for intrepid,
> or is it fixed in the latest 2.6.27-7 kernels?
>
> --
> dtl1_cs causes kernel panic when plugged in
> https://bugs.launchpad.net/bugs/217659
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Fix Committed
>
> Bug description:
> Socketcom's Socket Bluetooth card, when plugged in, either during boot or after boot, causes a kernel panic.
>
> user@hardy32:~$ apt-cache policy linux-image-2.6.24-15-generic
> linux-image-2.6.24-15-generic:
> Installed: 2.6.24-15.27
> Candidate: 2.6.24-15.27
> Version table:
> *** 2.6.24-15.27 0
> 100 /var/lib/dpkg/status
> user@hardy32:~$ lsb_release -rd
> Description: Ubuntu hardy (development branch)
> Release: 8.04
> user@hardy32:~$
>
> See attached kernel panic message.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 12:04:26 2008
> DistroRelease: Ubuntu 8.04
> Package: linux-image-2.6.24-15-generic 2.6.24-15.27 [modified: lib/modules/2.6.24-15-generic/modules.pcimap lib/modules/2.6.24-15-generic/modules.dep lib/modules/2.6.24-15-generic/modules.ieee1394map lib/modules/2.6.24-15-generic/modules.usbmap lib/modules/2.6.24-15-generic/modules.isapnpmap lib/modules/2.6.24-15-generic/modules.inputmap lib/modules/2.6.24-15-generic/modules.seriomap lib/modules/2.6.24-15-generic/modules.alias lib/modules/2.6.24-15-generic/modules.symbols]
> PackageArchitecture: i386
> ProcEnviron:
> SHELL=/bin/bash
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_DK.UTF-8
> SourcePackage: linux
> Uname: Linux 2.6.24-15-generic i686
> UnreportableReason: This is not a genuine Ubuntu package
>

--
Best regards/Med venlig hilsen,
Quinn Plattel

Steve Langasek (vorlon) on 2008-10-15
Changed in linux:
status: Fix Committed → Fix Released
assignee: nobody → colin-king
importance: Undecided → High
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted linux into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Tried and tested now for a month. No problems to report.

2008/11/27 Martin Pitt <email address hidden>

> Accepted linux into hardy-proposed, please test and give feedback here.
> Please see https://wiki.ubuntu.com/Testing/EnableProposed for
> documentation how to enable and use -proposed. Thank you in advance!
>
> --
> dtl1_cs causes kernel panic when plugged in
> https://bugs.launchpad.net/bugs/217659
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Fix Released
> Status in linux in Ubuntu Hardy: Fix Committed
>
> Bug description:
> Socketcom's Socket Bluetooth card, when plugged in, either during boot or
> after boot, causes a kernel panic.
>
> user@hardy32:~$ apt-cache policy linux-image-2.6.24-15-generic
> linux-image-2.6.24-15-generic:
> Installed: 2.6.24-15.27
> Candidate: 2.6.24-15.27
> Version table:
> *** 2.6.24-15.27 0
> 100 /var/lib/dpkg/status
> user@hardy32:~$ lsb_release -rd
> Description: Ubuntu hardy (development branch)
> Release: 8.04
> user@hardy32:~$
>
> See attached kernel panic message.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 12:04:26 2008
> DistroRelease: Ubuntu 8.04
> Package: linux-image-2.6.24-15-generic 2.6.24-15.27 [modified:
> lib/modules/2.6.24-15-generic/modules.pcimap
> lib/modules/2.6.24-15-generic/modules.dep
> lib/modules/2.6.24-15-generic/modules.ieee1394map
> lib/modules/2.6.24-15-generic/modules.usbmap
> lib/modules/2.6.24-15-generic/modules.isapnpmap
> lib/modules/2.6.24-15-generic/modules.inputmap
> lib/modules/2.6.24-15-generic/modules.seriomap
> lib/modules/2.6.24-15-generic/modules.alias
> lib/modules/2.6.24-15-generic/modules.symbols]
> PackageArchitecture: i386
> ProcEnviron:
> SHELL=/bin/bash
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_DK.UTF-8
> SourcePackage: linux
> Uname: Linux 2.6.24-15-generic i686
> UnreportableReason: This is not a genuine Ubuntu package
>

--
Best regards/Med venlig hilsen,
Quinn Plattel

Launchpad Janitor (janitor) wrote :
Download full text (12.0 KiB)

This bug was fixed in the package linux - 2.6.24-23.46

---------------
linux (2.6.24-23.46) hardy-proposed; urgency=low

  [Alessio Igor Bogani]

  * rt: Updated PREEMPT_RT support to rt21
    - LP: #302138

  [Amit Kucheria]

  * SAUCE: Update lpia patches from moblin tree
    - LP: #291457

  [Andy Whitcroft]

  * SAUCE: replace gfs2_bitfit with upstream version to prevent oops
    - LP: #276641

  [Colin Ian King]

  * isdn: Do not validate ISDN net device address prior to interface-up
    - LP: #237306
  * hwmon: (coretemp) Add Penryn CPU to coretemp
    - LP: #235119
  * USB: add support for Motorola ROKR Z6 cellphone in mass storage mode
    - LP: #263217
  * md: fix an occasional deadlock in raid5
    - LP: #208551

  [Stefan Bader]

  * SAUCE: buildenv: Show CVE entries in printchanges
  * SAUCE: buildenv: Send git-ubuntu-log informational message to stderr
  * Xen: dma: avoid unnecessarily SWIOTLB bounce buffering
    - LP: #247148
  * Update openvz patchset to apply to latest stable tree.
    - LP: #301634
  * XEN: Fix FTBS with stable updates
    - LP: #301634

  [Steve Conklin]

  * Add HID quirk for dual USB gamepad
    - LP: #140608

  [Tim Gardner]

  * Enable CONFIG_AX25_DAMA_SLAVE=y
    - LP: #257684
  * SAUCE: Correctly blacklist Thinkpad r40e in ACPI
    - LP: #278794
  * SAUCE: ALPS touchpad for Dell Latitude E6500/E6400
    - LP: #270643

  [Upstream Kernel Changes]

  * Revert "[Bluetooth] Eliminate checks for impossible conditions in IRQ
    handler"
    - LP: #217659
  * KVM: VMX: Clear CR4.VMXE in hardware_disable
    - LP: #268981
  * iov_iter_advance() fix
    - LP: #231746
  * Fix off-by-one error in iov_iter_advance()
    - LP: #231746
  * USB: serial: ch341: New VID/PID for CH341 USB-serial
    - LP: #272485
  * x86: Fix 32-bit x86 MSI-X allocation leakage
    - LP: #273103
  * b43legacy: Fix failure in rate-adjustment mechanism
    - LP: #273143
  * x86: Reserve FIRST_DEVICE_VECTOR in used_vectors bitmap.
    - LP: #276334
  * openvz: merge missed fixes from vanilla 2.6.24 openvz branch
    - LP: #298059
  * openvz: some autofs related fixes
    - LP: #298059
  * openvz: fix ve stop deadlock after nfs connect
    - LP: #298059
  * openvz: fix netlink and rtnl inside container
    - LP: #298059
  * openvz: fix wrong size of ub0_percpu
    - LP: #298059
  * openvz: fix OOPS while stopping VE started before binfmt_misc.ko loaded
    - LP: #298059
  * x86-64: Fix "bytes left to copy" return value for copy_from_user()
  * NET: Fix race in dev_close(). (Bug 9750)
    - LP: #301608
  * IPV6: Fix IPsec datagram fragmentation
    - LP: #301608
  * IPV6: dst_entry leak in ip4ip6_err.
    - LP: #301608
  * IPV4: Remove IP_TOS setting privilege checks.
    - LP: #301608
  * IPCONFIG: The kernel gets no IP from some DHCP servers
    - LP: #301608
  * IPCOMP: Disable BH on output when using shared tfm
    - LP: #301608
  * IRQ_NOPROBE helper functions
    - LP: #301608
  * MIPS: Mark all but i8259 interrupts as no-probe.
    - LP: #301608
  * ub: fix up the conversion to sg_init_table()
    - LP: #301608
  * x86: adjust enable_NMI_through_LVT0()
    - LP: #301608
  * SCSI ips: handle scsi_add_host() failure, and other err cl...

Changed in linux:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers